Subject: Re: map_page() and pinned TLB entries

From: Dan Malek <[email-masked]>
Date: Thu, 16 Jun 2005 17:13:19 -0400

On Jun 16, 2005, at 10:47 AM, Marcelo Tosatti wrote:

> What would be an elegant way of dealing with this? We can insert
> a conditional there such that only addresses not covered
> by other mappings (in this case the 8Mbyte entry) get flushed.

I'd like to make _tlbie() a macro on 8xx that simply tests the VA
and doesn't invalidate anything in the pinned space.  Of course,
the code shouldn't be doing this anyway, and I think this
should be treated as a bug if it happens.  If the Linux VM
thinks it needs to be doing this, pinned space isn't going to work.
The _tlbie() is an exported symbol, I suspect for MOL, so
we have to accommodate that.

Thanks.

	-- Dan